#app_calc {
    padding-bottom: 4rem;
}
.select-window {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    margin-bottom: 2rem;
}
.select-window label {
    display: flex;
    width: 100px;
    height: 100px;
    padding: 20px;
    border-radius: 50%;
    cursor: pointer;
    transition: all .3s;
}
.select-window label.active {
    background: #e2e2e2;
}
.select-window svg {
    fill: #ef6f2d;
    height: 100%;
    margin: auto;
    transition: 200ms ease-out;
    cursor: pointer;
}
.win-size {
    border: none;
}

.middle-calc_block {
    margin-bottom: 1rem;
}
.main-window_block, .window-img_block {
    position: relative;
    overflow: hidden;
    padding-top: 1rem;
}
.window-img_block {
    text-align: center;
}
.window-img_block img {
    max-width: 80%;
    max-height: 330px;
    height: auto;
}

.window-image__size {
    position: relative;
    font-size: 12px;
    color: #969ea1;
    text-align: center;
    overflow: hidden;
}
.window-image__size>span:before, .window-image__size>span::after {
    content: "";
    position: absolute;
    top: 50%;
    width: 14vw;
    height: 2px;
    background-color: #e5e7e9;
    transform: translateY(-50%);    
}
.window-image__size>span:before {
    right: 100%;
}
.window-image__size>span:after {
    left: 100%;
}
.window-image__size span, .window-image__size-buttons {
    display: inline-block;
    position: relative;
}
.window-image__size span {
    position: relative;
    left: -15px;
    min-width: 60px;
    vertical-align: middle;
    background: #fff;
    padding: 5px 10px;
    border: 1px solid #eaeff4;
}
.window-image__size-block {
    position: absolute;
    top: -1px;
    right: -28px;
    background: #eaeff4;
    padding: 5px;
    border: 1px solid #eaeff4;
    z-index: 1;
}
.window-image__size.height {
    position: absolute;
    bottom: 0;
    left: 90%;
    width: 400px;
    white-space: nowrap;
    -webkit-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotate(-90deg);
    overflow: hidden;
}

.calc-window_block h3 {
    margin-top: 0;
}
.calc-window_block input {
    width: 100%;
    border: 1px solid #d0d5d8;
    padding: 0.7rem 1rem;
    margin-right: 5px;
}
.calc-form_group {
    margin-bottom: 1rem;    
}
.calc-form_group span {
    display: block;
    font-weight: 500;
    margin-bottom: 5px;
}

/* --- Select --- */
.select-block {
    position: relative;
    height: fit-content;
}
.select-block input {
    width: 100%;
    padding: 0.7rem 1rem;
    border: 1px solid #d0d5d8;
    color: #777;
    cursor: pointer;
}
.select-block ul {
    position: absolute;
    top: 100%;
    margin: 0;
    padding: 0;
    width: 100%;
    border: 1px solid #999;
    background: #fff;
    z-index: 9;
    transition: all 0.3s;
}
.select-block ul > li {
    padding: 5px 5px 5px 15px;
    cursor: pointer;
    border: none;
}
.select-block ul > li:hover {
    background: #ef6f2d;
    color: #fff;
}
.shaddow {
    position: absolute;
    top: 2px;
    right: 2px;
    width: 25px;
    height: 88%;
    background: rgb(255, 255, 255);
    background: linear-gradient(
      90deg,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 35%,
      rgba(255, 255, 255, 1) 100%
    );
    pointer-events: none;
}
.icon-arrow {
    position: absolute;
    top: 19px;
    right: 10px;
    text-align: center;
    width: auto;
    height: 5px;
    padding: 0;
    margin: 0;
    line-height: 0px;
    color: #999;
    cursor: pointer;
    transition: all 0.3s;
    pointer-events: none;
    background: #fff;
    box-shadow: 0px 0 10px 10px #fff;
}
.icon-arrow.active {
    transform: rotate(90deg);
}
.window-type_block {
    margin-bottom: 2rem;
}
.window-type_block .title {
    margin-bottom: 10px;
}
.select-block_wrapper {
    position: relative;
}
.stvorka-label {
    font-size: 14px;
    color: #999;
}

/*--- Результат --- */
.title-result {
    margin: 1rem 0;
}
.result-table_item {
    border-top: 1px solid #e2e2e2 !important;
    border-bottom: 1px solid #e2e2e2 !important;
    padding: 1rem;
}
.result-table_item * {
    border: none;
}
.result-table_item .col {
    display: flex;
    align-items: center;
}
.item-col_1 {
    flex: 1;    
}
.item-col_2 {
    flex: 2;
}
.item-col_3 {
    flex: 3;
}
.result_item-name .title {
    font-weight: 500;
    color: #ef6f2d;    
}
.result_item-name span {
    display: block;
    margin-bottom: 5px;
}
.result-content {
    font-size: 15px;
    color: #777;
}
.item-col svg {
    fill: #bbc1c9;
    width: 30px;
    height: auto;
    cursor: pointer;
}
.result-item_action {
    justify-content: flex-end;
}
.result-item_action .item-col {
    flex: 0.5;
}
.final-block {
    margin: 2rem 0;
    border: 2px solid #ef6f2d;
    border-radius: 10px;
}
.final-block * {
    border: none;
}
.add-result_btn-block {
    margin-top: 1rem;
}
.add-result_btn-block .btn {
    padding: 10px 20px;
    color: #fff;
    background: #ef6f2d;
    border: 1px solid #ef6f2d;
    border-radius: 8px;
}
.add-result_btn-block .btn:hover {
    background: #fff;
    color: #ef6f2d;
}
.send_block {
    padding: 1rem 0;
}
.send_form {
    padding: 2rem;
}


@media (min-width:768px) {
    .window-image__size.height {
        max-width: 340px;
    }
}
@media (max-width:768px) {
    .select-window label {
        width: 50px;
        height: 50px;
        padding: 10px;
    }
    .window-image__size>span:before, .window-image__size>span::after {
        width: 20vw;
    }
    .result-item_action {
        width: 100%;
        margin-top: 1rem;
        justify-content: center;
    }
    .result-item_action .item-col {
        flex: 0;
        margin-right: 2rem;
    }
}
@media (max-width:450px) {
    .window-img_block img {
        max-height: 200px;
    }
    .window-image__size.height {
        width: 230px;
    }
}
